## kfilebox 0.4.9

=== debian/changelog ===
kfilebox (0.4.8) stable; urgency=low

  * Initial Release

 -- Andriy Senkovych <jolly_roger@itblog.org.ua>  Mon, 25 May 2011 10:50:38 +0100

kfilebox (0.4.7) lucid; urgency=low

  * Bug fixing

 -- Guillermo <deuteros76@gmail.com>  Wed, 12 Jan 2011 21:45:35 +0200

kfilebox (0.4.6) lucid; urgency=low

  * New iconsets
  * Iconset selection from preferences window
  * Greek tranlation by Marios Zindilis

 -- Guillermo <deuteros76@gmail.com>  Wed, 7 Dec 2010 21:45:35 +0200

kfilebox (0.4.5) lucid; urgency=low

  * New name, logotype and icons
  * New links to "Get More Space" and "Launch Dropbox Website" (require web authentication)
  * Traditional Chinese translation by Plesry
  * Galician translation by Roberto Rosend
  * Arabic translation by Fahad Alduraibi

 -- Guillermo <deuteros76@gmail.com>  Wed, 29 Sep 2010 21:45:35 +0200

kdropbox (0.4.1) lucid; urgency=low

  * Changed tray icon click behaviour
  * Some bug fixes
  * German translation by Marc Cheng
  * Durch translation by Kees Huiberts
  * Portuguese translation by Luiz F. Ranghetti

 -- Guillermo <deuteros76@gmail.com>  Wed, 18 Aug 2010 21:45:35 +0200

kdropbox (0.4.0) karmic; urgency=low

  * Better KDE integration
  * System notifications
  * KDE autostart
  * Enable and disable system notifications and autostart from preferences window
  * Simplified Chinese translation by Chloe Rei
  * Slovenian translation by Jože Klepec
  * Lituanian translation by Donatas G.
  * Portuguese translation by Eduardo B. Alexandre
  * Italian translation by Federico Dughiero
  * French translation by Sylvain Charzat

 -- Guillermo <deuteros76@gmail.com>  Fri, 01 Jul 2010 11:45:35 +0200

kdropbox (0.3.0) karmic; urgency=low

  * Turkish translation by Anil Özbek
  * Custom client
  * Dameon installation process

 -- Guillermo <deuteros76@gmail.com>  Fri, 20 May 2010 12:45:35 +0200

kdropbox (0.2.1) karmic; urgency=low

  * Russian translation by Yura Mityakov
  * Czech translation by Pavel Fric

 -- Guillermo <deuteros76@gmail.com>  Fri, 07 May 2010 12:45:35 +0200

kdropbox (0.2.0) karmic; urgency=low

  * Last changed files
  * Start / stop Dropbox
  * Double click on tray icon opens Dropbox folder

 -- Deuteros <deuteros76@gmail.com>  Sat, 10 Apr 2010 21:37:04 +0200

kdropbox (0.1.0-1ubuntu2) karmic; urgency=low

  * Added Polish translation 

 -- Guillermo <deuteros76@gmail.com>  Fri, 16 Apr 2010 13:23:51 +0200

kdropbox (0.1.0-1ubuntu1) karmic; urgency=low

  * Initial releaseO 

 -- Guillermo <deuteros76@gmail.com>  Thu, 08 Apr 2010 22:13:33 +0200
