=== debian/control ===
Source: kfilebox
Section: utils
Priority: extra
Maintainer: Andriy Senkovych <jolly_roger@itblog.org.ua>
Build-Depends: debhelper (>= 7.0.50~), qt4-qmake, libqt4-dev, kdelibs5-dev
Standards-Version: 3.9.1
Homepage: https://sourceforge.net/projects/kdropbox/

Package: kfilebox
Architecture: i386 amd64
Depends: ${shlibs:Depends}
Description: Dropbox KDE frontend
 Dropbox KDE frontend written in Qt
